#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    cout.tie(0);
    long long a, b, k, ans=0;
    cin>>a>>b>>k;
    ans=b-a;
    for(long long i=a;i<a+k;i++)
    {
        if(i%k==0)
        {
            for(long long j=1;j<a;j++)
            {
                if(i*j<b)ans--;
                else
                {
                    break;
                }
            }
        }
        break;
    }
    if(ans%3==0 || ans%2==0)cout<<ans/2<<endl;
    else if(ans%2!=0)cout<<ans/2+1<<endl;
    /*for(long long i=a;i<b;i++)
    {
        if((i+2)%k!=0 && (i+2)<=b){
            i++;
            ans++;
        }
        else{
           ans++;
        }
    }
    cout<<ans<<endl;*/
    return 0;
}

